*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}
.header{
    min-height: 100vh;
    width: 100%;
    background-color: black;
    background-image: url(./images/clothing.jpg);
    background-position: center;
}
nav{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}
nav img{
    width: 150px;
}
.nav-links{
    flex: 1;
    text-align: right;
}
.nav-links ul li{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}
.nav-links ul li a{
    color: white;
    text-decoration: none;
    font-size: 13px;
}
.nav-links ul li::after{
    content: '';
    width: 0%;
    height:2px;
    background: red;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after{
    width: 100%;
}
.text-box{
    width: 90%;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
}
.text-box h1{
    font-size: 62px;
}
.text-box p{
    margin: 10px 0 40px;
    font-size: 14px;
    color: white;
}
.hero-btn{
    display: inline-block;
    text-decoration: none;
    color: white;
    border: 1px solid #fff;
    padding: 12px 34px;
    background: transparent;
    position: relative;
    cursor: pointer;
}
.hero-btn:hover{
    border: 1px solid #f44336;
    background:red;
    transition: 1s;
}
nav .fa{
    display: none;
}
@media(max-width: 700px){
    .text-box h1{
        font-size: 20px;
    }
    .nav-links ul li{
        display: block;
    }
    .nav-links{
        position: fixed;
        background: #f44336;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        transition: 1s;
    }
    nav .fa{
        display: block;
        color: #fff;
        margin: 10px;
        font-size: 22px;
        cursor:pointer;
    }
    .nav-links ul{
        padding: 30px;
    }
}
h1{
    font-size: 36px;
    font-weight: 600;
    text-align: center;
}
.sub-header{
    height: 50vh;
    width: 100%;
    background-image: url(./images/clothing.jpg);
    background-position: center;
    background-size: cover;
    text-align: center;
    color: red;
}
.sub-header h1{
    margin-top: 100px;
}
.container{
    width: 100%;
    text-align: center;
}
/*clothing section starts here*/
.description{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
h1{
    font-size: 36px;
    font-weight: 600;
}
p{
    color: #777;
    font-size: 14px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;
}
body{
    background: #f1f5ff;
}
.container{
    width: fit-content;
    margin: 150px auto;
}
.btn{
    width: 200px;
    height: 60px;
    color: #fff;
    background: #000;
    font-size: 18px;
    text-decoration: none;
    margin: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
    position: relative;
}
.btn1 span{
    margin-left: 10px;
    width: 0;
    overflow: hidden;
    transition: 0.5s;
    position: relative;
}
.btn1:hover span{
    width: 30px;
}
.btn5 span{
    margin-left: 10px;
    width: 0;
    overflow: hidden;
    transition: 0.5s;
}
.btn5:hover span{
    width: 30px;
}
.btn2{
    box-shadow: 0px 0px 0 #f4005c;
}
.btn2:hover{
    box-shadow: 8px 10px 0 #f4005c;
}
.btn6{
    box-shadow: 0px 0px 0 #f4005c;
}
.btn6:hover{
    box-shadow: 8px 10px 0 #f4005c;
}

.btn7:hover{
    background: transparent;
    border: 2px solid #000;
    color: #000;
    padding-top: 5px;
}
.btn7::after{
    content:'';
    width: 100%;
    height: 100%;
    border: 2px solid #000;
    position: absolute;
    top: 0;
    left: 0;
    box-sizing: border-box;
    transition: top 0.5s, left 0.5s;
}
.btn7:hover::after{
    top: 5px;
    left: 5px;
    box-sizing: content-box;
}

.btn3:hover{
    background: transparent;
    border: 2px solid #000;
    color: #000;
    padding-top: 5px;
}
.btn3::after{
    content: '';
    width: 100%;
    height: 100%;
    border: 2px solid #000;
    position: absolute;
    top: 0;
    left:0;
    box-sizing: border-box;
    transition: top 0.5s, left 0.5s;
}
.btn3:hover:after{
    top: 5px;
    left: 5px;
    box-sizing: content-box;
}
.btn4:hover{
    background: transparent;
    color: #000;
}
.btn4::before,.btn::after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left:0;
    box-sizing: border-box;
    transition: top 0.5s, left 0.5s;
    z-index: -1;
}
.btn::before{
    border-left: 2px solid #000;
    border-top: 2px solid #000;
}
.btn::after{
    border-right: 2px solid #000;
    border-bottom: 2px solid #000;
}
.btn4:hover::before{
    top: -5px;
    left: -15px;
}
.btn4:hover::after{
    top: 5px;
    left: 15px
}
.btn8:hover{
    background: transparent;
    color: #000;
}
.btn8::before,.btn::after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left:0;
    box-sizing: border-box;
    transition: top 0.5s, left 0.5s;
    z-index: -1;
}
.btn::before{
    border-left: 2px solid #000;
    border-top: 2px solid #000;
}
.btn::after{
    border-right: 2px solid #000;
    border-bottom: 2px solid #000;
}
.btn8:hover::before{
    top: -5px;
    left: -15px;
}
.btn8:hover::after{
    top: 5px;
    left: 15px
}
/*clothing section ends here*/
footer{
    width: 100%;
    position: bottom;
    bottom: 0;
    background: linear-gradient(to right, #00093c, #2d0b00);
    color: #fff;
    padding: 100px 0 30px;
    border-top-left-radius: 125px;
    font-size: 13px;
    line-height: 20px;
}
.foot{
    width: 85%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}
.col{
    flex-basis: 25%;
    padding: 0;
}
.col:nth-child(2), .col:nth-child(3){
    flex-basis: 15%;
}
.logo{
    width: 80px;
    margin-bottom: 30px
}
.col h3{
    width: fit-content;
    margin-bottom: 40px;
    position: relative;
}
.email-id{
    width: fit-content;
    border-bottom: 1px solid #ccc;
    margin: 20px 0;
}
ul li{
    list-style: none;
    margin: 12px;
    margin-left: 5px;
}
ul li a{
    text-decoration: none;
    color: white;
}
form{
    padding-bottom: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #ccc;
    margin-bottom: 50px;
}
form .far{
    font-size: 18px;
    margin-right: 10px;
}
form input{
    width: 100%;
    background: transparent;
    color: #ccc;
    border: 0;
    outline: none;
}
form button{
    background: transparent;
    border: 0;
    outline: none;
    cursor: pointer;
}
form button .fas{
    font-size: 16px;
    color:#ccc;
}
/*
.social-icons{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    background: #fff;
    margin-right: 15px;
    cursor: pointer;
}
*/

hr{
    width: 90%;
    border: 0;
    border-bottom: 1px solid #ccc;
    margin: 20px auto;
}
.copyright{
    text-align: center;
}
.underline{
    width:100%;
    height: 5px;
    background: #767676;
    border-radius: 3px;
    position: absolute;
    top: 25px;
    left: 0;
    overflow: hidden;
}
.underline span{
    width: 15px;
    height: 100%;
    background: #fff;
    border-radius: 3px;
    position: absolute;
    top: 0;
    left: 10px;
    animation: moving 2s linear infinite;
}
@keyframes moving{
    0%{
        left: -20px;
    }
    100%{
        left: 100%;
    }
}
@media (max-width: 700px){
    footer{
        bottom:unset;
    }
    .col{
        flex-basis: 100%;
    }
    .col:nth-child(2), :nth-child(3){
        flex-basis: 100%;
    }
}
